Index: src/mainboard/supermicro/x6dhr_ig/debug.c
===================================================================
--- src/mainboard/supermicro/x6dhr_ig/debug.c	(revision 3942)
+++ src/mainboard/supermicro/x6dhr_ig/debug.c	(working copy)
@@ -12,7 +12,7 @@
 	print_debug_hex8(index);
 	print_debug(": 0x");
 	print_debug_hex8(data);
-	print_debug("\r\n");
+	print_debug("\n");
         return;
 }
         
@@ -49,52 +49,52 @@
         int i;
         unsigned char data;
        
-	 print_debug("\r\n*** SERVER I/O REGISTERS ***\r\n");
+	 print_debug("\n*** SERVER I/O REGISTERS ***\n");
         for (i=0x10; i<=0x2d; i++) {
                 print_reg((unsigned char)i);
         }
 #if 0                                                                         
-        print_debug("\r\n*** XBUS REGISTERS ***\r\n");
+        print_debug("\n*** XBUS REGISTERS ***\n");
         setup_func(0x0f);
         for (i=0xf0; i<=0xff; i++) {
                 print_reg((unsigned char)i);
         }
                                                                                 
-        print_debug("\r\n***  SERIAL 1 CONFIG REGISTERS ***\r\n");
+        print_debug("\n***  SERIAL 1 CONFIG REGISTERS ***\n");
         setup_func(0x03);
         print_reg(0xf0);
                                                                                 
-        print_debug("\r\n***  SERIAL 2 CONFIG REGISTERS ***\r\n");
+        print_debug("\n***  SERIAL 2 CONFIG REGISTERS ***\n");
         setup_func(0x02);
         print_reg(0xf0);
 
 #endif
-        print_debug("\r\n***  GPIO REGISTERS ***\r\n");
+        print_debug("\n***  GPIO REGISTERS ***\n");
         setup_func(0x07);
         for (i=0xf0; i<=0xf8; i++) {
                 print_reg((unsigned char)i);
         }
-        print_debug("\r\n***  GPIO VALUES ***\r\n");
+        print_debug("\n***  GPIO VALUES ***\n");
         data = inb(0x68a);
-	print_debug("\r\nGPDO 4: 0x");
+	print_debug("\nGPDO 4: 0x");
 	print_debug_hex8(data);
         data = inb(0x68b);
-	print_debug("\r\nGPDI 4: 0x");
+	print_debug("\nGPDI 4: 0x");
 	print_debug_hex8(data);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 #if 0                                                                                
                                                                                 
-        print_debug("\r\n***  WATCHDOG TIMER REGISTERS ***\r\n");
+        print_debug("\n***  WATCHDOG TIMER REGISTERS ***\n");
         setup_func(0x0a);
         print_reg(0xf0);
                                                                                 
-        print_debug("\r\n***  FAN CONTROL REGISTERS ***\r\n");
+        print_debug("\n***  FAN CONTROL REGISTERS ***\n");
         setup_func(0x09);
         print_reg(0xf0);
         print_reg(0xf1);
 
-        print_debug("\r\n***  RTC REGISTERS ***\r\n");
+        print_debug("\n***  RTC REGISTERS ***\n");
         setup_func(0x10);
         print_reg(0xf0);
         print_reg(0xf1);
@@ -104,7 +104,7 @@
         print_reg(0xfe);
         print_reg(0xff);
                                                                                 
-        print_debug("\r\n***  HEALTH MONITORING & CONTROL REGISTERS ***\r\n");
+        print_debug("\n***  HEALTH MONITORING & CONTROL REGISTERS ***\n");
         setup_func(0x14);
         print_reg(0xf0);
 #endif                                                                           
@@ -135,7 +135,7 @@
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 }
 
@@ -143,7 +143,7 @@
 {
 	int i;
 	print_debug_pci_dev(dev);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 	for(i = 0; i <= 255; i++) {
 		unsigned char val;
@@ -155,7 +155,7 @@
 		print_debug_char(' ');
 		print_debug_hex8(val);
 		if ((i & 0x0f) == 0x0f) {
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -165,7 +165,7 @@
 	int i;
 	unsigned long bar;
 	
-	print_debug("BAR 14 Dump\r\n");
+	print_debug("BAR 14 Dump\n");
 	
 	bar = pci_read_config32(dev, 0x14);
 	for(i = 0; i <= 0x300; i+=4) {
@@ -178,14 +178,14 @@
 		val = pci_read_config8(dev, i);
 #endif		
 		if((i%4)==0) {
-		print_debug("\r\n");
+		print_debug("\n");
 		print_debug_hex16(i);
 		print_debug_char(' ');
 		}
 		print_debug_hex32(read32(bar + i));
 		print_debug_char(' ');
 	}
-	print_debug("\r\n");
+	print_debug("\n");
 }
 
 static void dump_pci_devices(void)
@@ -209,7 +209,7 @@
 static void dump_spd_registers(const struct mem_controller *ctrl)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < 4; i++) {
 		unsigned device;
 		device = ctrl->channel0[i];
@@ -223,20 +223,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 		device = ctrl->channel1[i];
 		if (device) {
@@ -249,20 +249,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -275,14 +275,14 @@
         while(device <= SMBUS_MEM_DEVICE_END) {
                 int status = 0;
                 int i;
-        	print_debug("\r\n");
+        	print_debug("\n");
                 print_debug("dimm ");
 		print_debug_hex8(device);
 		
                 for(i = 0; (i < 256) ; i++) {
 	                unsigned char byte;
                         if ((i % 16) == 0) {
-				print_debug("\r\n");
+				print_debug("\n");
 				print_debug_hex8(i);
 				print_debug(": ");
                         }
@@ -290,7 +290,7 @@
                         if (status < 0) {
 			         print_debug("bad device: ");
 				 print_debug_hex8(-status);
-				 print_debug("\r\n");
+				 print_debug("\n");
 			         break; 
 			}
 			print_debug_hex8(status);
@@ -308,7 +308,7 @@
         while(device <= 0x42) {
                 int status = 0;
                 int i;
-        	print_debug("\r\n");
+        	print_debug("\n");
                 print_debug("ipmi ");
 		print_debug_hex8(device);
 		
@@ -318,7 +318,7 @@
                         if (status < 0) {
 			         print_debug("bad device: ");
 				 print_debug_hex8(-status);
-				 print_debug("\r\n");
+				 print_debug("\n");
 			         break; 
 			}
 			print_debug_hex8(status);
Index: src/mainboard/supermicro/x6dhr_ig2/watchdog.c
===================================================================
--- src/mainboard/supermicro/x6dhr_ig2/watchdog.c	(revision 3942)
+++ src/mainboard/supermicro/x6dhr_ig2/watchdog.c	(working copy)
@@ -94,6 +94,6 @@
 //	disable_sio_watchdog(NSC_WD_DEV);
 	disable_ich5_watchdog();
 //	disable_jarell_frb3();
-	print_debug("Watchdogs disabled\r\n");
+	print_debug("Watchdogs disabled\n");
 }
 
Index: src/mainboard/supermicro/x6dhr_ig2/debug.c
===================================================================
--- src/mainboard/supermicro/x6dhr_ig2/debug.c	(revision 3942)
+++ src/mainboard/supermicro/x6dhr_ig2/debug.c	(working copy)
@@ -12,7 +12,7 @@
 	print_debug_hex8(index);
 	print_debug(": 0x");
 	print_debug_hex8(data);
-	print_debug("\r\n");
+	print_debug("\n");
         return;
 }
         
@@ -49,52 +49,52 @@
         int i;
         unsigned char data;
        
-	 print_debug("\r\n*** SERVER I/O REGISTERS ***\r\n");
+	 print_debug("\n*** SERVER I/O REGISTERS ***\n");
         for (i=0x10; i<=0x2d; i++) {
                 print_reg((unsigned char)i);
         }
 #if 0                                                                         
-        print_debug("\r\n*** XBUS REGISTERS ***\r\n");
+        print_debug("\n*** XBUS REGISTERS ***\n");
         setup_func(0x0f);
         for (i=0xf0; i<=0xff; i++) {
                 print_reg((unsigned char)i);
         }
                                                                                 
-        print_debug("\r\n***  SERIAL 1 CONFIG REGISTERS ***\r\n");
+        print_debug("\n***  SERIAL 1 CONFIG REGISTERS ***\n");
         setup_func(0x03);
         print_reg(0xf0);
                                                                                 
-        print_debug("\r\n***  SERIAL 2 CONFIG REGISTERS ***\r\n");
+        print_debug("\n***  SERIAL 2 CONFIG REGISTERS ***\n");
         setup_func(0x02);
         print_reg(0xf0);
 
 #endif
-        print_debug("\r\n***  GPIO REGISTERS ***\r\n");
+        print_debug("\n***  GPIO REGISTERS ***\n");
         setup_func(0x07);
         for (i=0xf0; i<=0xf8; i++) {
                 print_reg((unsigned char)i);
         }
-        print_debug("\r\n***  GPIO VALUES ***\r\n");
+        print_debug("\n***  GPIO VALUES ***\n");
         data = inb(0x68a);
-	print_debug("\r\nGPDO 4: 0x");
+	print_debug("\nGPDO 4: 0x");
 	print_debug_hex8(data);
         data = inb(0x68b);
-	print_debug("\r\nGPDI 4: 0x");
+	print_debug("\nGPDI 4: 0x");
 	print_debug_hex8(data);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 #if 0                                                                                
                                                                                 
-        print_debug("\r\n***  WATCHDOG TIMER REGISTERS ***\r\n");
+        print_debug("\n***  WATCHDOG TIMER REGISTERS ***\n");
         setup_func(0x0a);
         print_reg(0xf0);
                                                                                 
-        print_debug("\r\n***  FAN CONTROL REGISTERS ***\r\n");
+        print_debug("\n***  FAN CONTROL REGISTERS ***\n");
         setup_func(0x09);
         print_reg(0xf0);
         print_reg(0xf1);
 
-        print_debug("\r\n***  RTC REGISTERS ***\r\n");
+        print_debug("\n***  RTC REGISTERS ***\n");
         setup_func(0x10);
         print_reg(0xf0);
         print_reg(0xf1);
@@ -104,7 +104,7 @@
         print_reg(0xfe);
         print_reg(0xff);
                                                                                 
-        print_debug("\r\n***  HEALTH MONITORING & CONTROL REGISTERS ***\r\n");
+        print_debug("\n***  HEALTH MONITORING & CONTROL REGISTERS ***\n");
         setup_func(0x14);
         print_reg(0xf0);
 #endif                                                                           
@@ -135,7 +135,7 @@
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 }
 
@@ -143,7 +143,7 @@
 {
 	int i;
 	print_debug_pci_dev(dev);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 	for(i = 0; i <= 255; i++) {
 		unsigned char val;
@@ -155,7 +155,7 @@
 		print_debug_char(' ');
 		print_debug_hex8(val);
 		if ((i & 0x0f) == 0x0f) {
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -165,7 +165,7 @@
 	int i;
 	unsigned long bar;
 	
-	print_debug("BAR 14 Dump\r\n");
+	print_debug("BAR 14 Dump\n");
 	
 	bar = pci_read_config32(dev, 0x14);
 	for(i = 0; i <= 0x300; i+=4) {
@@ -178,14 +178,14 @@
 		val = pci_read_config8(dev, i);
 #endif		
 		if((i%4)==0) {
-		print_debug("\r\n");
+		print_debug("\n");
 		print_debug_hex16(i);
 		print_debug_char(' ');
 		}
 		print_debug_hex32(read32(bar + i));
 		print_debug_char(' ');
 	}
-	print_debug("\r\n");
+	print_debug("\n");
 }
 
 static void dump_pci_devices(void)
@@ -209,7 +209,7 @@
 static void dump_spd_registers(const struct mem_controller *ctrl)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < 4; i++) {
 		unsigned device;
 		device = ctrl->channel0[i];
@@ -223,20 +223,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 		device = ctrl->channel1[i];
 		if (device) {
@@ -249,20 +249,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -275,14 +275,14 @@
         while(device <= SMBUS_MEM_DEVICE_END) {
                 int status = 0;
                 int i;
-        	print_debug("\r\n");
+        	print_debug("\n");
                 print_debug("dimm ");
 		print_debug_hex8(device);
 		
                 for(i = 0; (i < 256) ; i++) {
 	                unsigned char byte;
                         if ((i % 16) == 0) {
-				print_debug("\r\n");
+				print_debug("\n");
 				print_debug_hex8(i);
 				print_debug(": ");
                         }
@@ -290,7 +290,7 @@
                         if (status < 0) {
 			         print_debug("bad device: ");
 				 print_debug_hex8(-status);
-				 print_debug("\r\n");
+				 print_debug("\n");
 			         break; 
 			}
 			print_debug_hex8(status);
@@ -308,7 +308,7 @@
         while(device <= 0x42) {
                 int status = 0;
                 int i;
-        	print_debug("\r\n");
+        	print_debug("\n");
                 print_debug("ipmi ");
 		print_debug_hex8(device);
 		
@@ -318,7 +318,7 @@
                         if (status < 0) {
 			         print_debug("bad device: ");
 				 print_debug_hex8(-status);
-				 print_debug("\r\n");
+				 print_debug("\n");
 			         break; 
 			}
 			print_debug_hex8(status);
Index: src/mainboard/kontron/986lcd-m/debug.c
===================================================================
--- src/mainboard/kontron/986lcd-m/debug.c	(revision 3942)
+++ src/mainboard/kontron/986lcd-m/debug.c	(working copy)
@@ -38,7 +38,7 @@
 		}
 		printk_debug("PCI: %02x:%02x.%02x", (dev >> 20) & 0xff,
 			(dev >> 15) & 0x1f, (dev >> 12) & 7);
-		printk_debug(" [%04x:%04x]\r\n", id &0xffff, id >> 16);
+		printk_debug(" [%04x:%04x]\n", id &0xffff, id >> 16);
 	}
 }
 
@@ -46,7 +46,7 @@
 {
 	int i;
 
-	printk_debug("PCI: %02x:%02x.%02x\r\n", (dev >> 20) & 0xff, (dev >> 15) & 0x1f, (dev >> 12) & 7);
+	printk_debug("PCI: %02x:%02x.%02x\n", (dev >> 20) & 0xff, (dev >> 15) & 0x1f, (dev >> 12) & 7);
 
 	for(i = 0; i <= 255; i++) {
 		unsigned char val;
@@ -56,7 +56,7 @@
 		val = pci_read_config8(dev, i);
 		printk_debug(" %02x", val);
 		if ((i & 0x0f) == 0x0f) {
-			printk_debug("\r\n");
+			printk_debug("\n");
 		}
 	}
 }
@@ -85,21 +85,21 @@
         while(device <= SMBUS_MEM_DEVICE_END) {
                 int status = 0;
                 int i;
-        	printk_debug("\r\ndimm %02x", device);
+        	printk_debug("\ndimm %02x", device);
 		
                 for(i = 0; (i < 256) ; i++) {
                         if ((i % 16) == 0) {
-				printk_debug("\r\n%02x: ", i);
+				printk_debug("\n%02x: ", i);
                         }
 			status = smbus_read_byte(device, i);
                         if (status < 0) {
-			         printk_debug("bad device: %02x\r\n", -status);
+			         printk_debug("bad device: %02x\n", -status);
 			         break; 
 			}
 			printk_debug("%02x ", status);
 		}
 		device += SMBUS_MEM_DEVICE_INC;
-		printk_debug("\r\n");
+		printk_debug("\n");
 	}
 }
 
@@ -110,9 +110,9 @@
         for(i=start;i<end;i++) {
 		if((i & 0xf)==0) {
 #if CONFIG_USE_INIT
-			printk_debug("\r\n%08x:", i);
+			printk_debug("\n%08x:", i);
 #else	
-			print_debug("\r\n");
+			print_debug("\n");
 			print_debug_hex32(i);
 			print_debug(":");
 #endif
@@ -124,5 +124,5 @@
              	print_debug_hex8((unsigned char)*((unsigned char *)i));
 #endif
         }
-        print_debug("\r\n");
+        print_debug("\n");
  }
Index: src/mainboard/kontron/986lcd-m/power_reset_check.c
===================================================================
--- src/mainboard/kontron/986lcd-m/power_reset_check.c	(revision 3942)
+++ src/mainboard/kontron/986lcd-m/power_reset_check.c	(working copy)
@@ -25,7 +25,7 @@
 	uint8_t cmos;
 
 	cmos=cmos_read(RTC_BOOT_BYTE)>>4 ;
-	printk_debug("Boot byte = %x\r\n", cmos);
+	printk_debug("Boot byte = %x\n", cmos);
 
 	if((cmos>2)&&(cmos&1))  full_reset();
 }
Index: src/mainboard/gigabyte/m57sli/apc_auto.c
===================================================================
--- src/mainboard/gigabyte/m57sli/apc_auto.c	(revision 3942)
+++ src/mainboard/gigabyte/m57sli/apc_auto.c	(working copy)
@@ -94,7 +94,7 @@
 	id = get_node_core_id_x();
 
 	//FIXME: for USBDEBUG_DIRECT you need to make sure dbg_info get assigned in AP
-        print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\r\n");
+        print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\n");
 
 	train_ram(id.nodeid, sysinfo, sysinfox);
 
Index: src/mainboard/gigabyte/m57sli/cache_as_ram_auto.c
===================================================================
--- src/mainboard/gigabyte/m57sli/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/gigabyte/m57sli/cache_as_ram_auto.c	(working copy)
@@ -303,9 +303,9 @@
 	early_usbdebug_direct_init();
 #endif
         console_init();
-        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\n");
 
-        print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
+        print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
 #if MEM_TRAIN_SEQ == 1
         set_sysinfo_in_ram(0); // in BSP so could hold all ap until sysinfo is in ram
@@ -331,7 +331,7 @@
         {
                 msr_t msr;
                 msr=rdmsr(0xc0010042);
-                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
         }
 
@@ -345,7 +345,7 @@
         {
                 msr_t msr;
                 msr=rdmsr(0xc0010042);
-                print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+                print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
         }
 #endif
@@ -356,7 +356,7 @@
 
         // fidvid change will issue one LDTSTOP and the HT change will be effective too
         if (needs_reset) {
-                print_info("ht reset -\r\n");
+                print_info("ht reset -\n");
               	soft_reset();
         }
         allow_all_aps_stop(bsp_apicid);
Index: src/mainboard/gigabyte/ga_2761gxdk/apc_auto.c
===================================================================
--- src/mainboard/gigabyte/ga_2761gxdk/apc_auto.c	(revision 3942)
+++ src/mainboard/gigabyte/ga_2761gxdk/apc_auto.c	(working copy)
@@ -96,7 +96,7 @@
 	id = get_node_core_id_x();
 
 	//FIXME: for USBDEBUG_DIRECT you need to make sure dbg_info get assigned in AP
-        print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\r\n");
+        print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\n");
 
 	train_ram(id.nodeid, sysinfo, sysinfox);
 
Index: src/mainboard/gigabyte/ga_2761gxdk/cache_as_ram_auto.c
===================================================================
--- src/mainboard/gigabyte/ga_2761gxdk/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/gigabyte/ga_2761gxdk/cache_as_ram_auto.c	(working copy)
@@ -291,9 +291,9 @@
 	early_usbdebug_direct_init();
 #endif
         console_init();
-        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\n");
 
-        print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
+        print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
 #if MEM_TRAIN_SEQ == 1
         set_sysinfo_in_ram(0); // in BSP so could hold all ap until sysinfo is in ram
@@ -319,7 +319,7 @@
         {
                 msr_t msr;
                 msr=rdmsr(0xc0010042);
-                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
         }
 
@@ -333,7 +333,7 @@
         {
                 msr_t msr;
                 msr=rdmsr(0xc0010042);
-                print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+                print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
         }
 #endif
@@ -343,7 +343,7 @@
 
         // fidvid change will issue one LDTSTOP and the HT change will be effective too
         if (needs_reset) {
-                print_info("ht reset -\r\n");
+                print_info("ht reset -\n");
               	soft_reset();
         }
         allow_all_aps_stop(bsp_apicid);
Index: src/mainboard/digitallogic/msm586seg/auto.c
===================================================================
--- src/mainboard/digitallogic/msm586seg/auto.c	(revision 3942)
+++ src/mainboard/digitallogic/msm586seg/auto.c	(working copy)
@@ -89,7 +89,7 @@
       print_err_hex8(c);
       print_err(" ");
     }
-    print_err("\r\n");
+    print_err("\n");
   }
 }
 
@@ -203,16 +203,16 @@
         uart_init();
         console_init();
 		for(i = 0; i < 100; i++)
-	  print_err("fill usart\r\n");
+	  print_err("fill usart\n");
 		//		while(1)
-		print_err("HI THERE!\r\n");
+		print_err("HI THERE!\n");
 		//			sizemem();
 	staticmem();
 	print_err("c60 is "); print_err_hex16(*(unsigned short *)0xfffefc60); 
 	print_err("\n");
 			
 	//			while(1)
-	print_err("STATIC MEM DONE\r\n");
+	print_err("STATIC MEM DONE\n");
 	outb(0xee, 0x80);
 	print_err("loop forever ...\n");
 
@@ -241,12 +241,12 @@
 #endif
 	
 #if 0
-	print_err("RAM CHECK!\r\n");
+	print_err("RAM CHECK!\n");
 	// Check 16MB of memory @ 0
 	ram_check(0x00000000, 0x01000000);
 #endif
 #if 0
-	print_err("RAM CHECK for 32 MB!\r\n");
+	print_err("RAM CHECK for 32 MB!\n");
 	// Check 32MB of memory @ 0
 	ram_check(0x00000000, 0x02000000);
 #endif
@@ -257,17 +257,17 @@
 	  for(i = 0; i < 0x20000; i++) {
 	    /*
 	      print_err("Set dst "); print_err_hex32((unsigned long) dst); 
-	      print_err(" to "); print_err_hex32(*src); print_err("\r\n");
+	      print_err(" to "); print_err_hex32(*src); print_err("\n");
 	    */
 	    *dst = *src;
-	    //print_err(" dst is now "); print_err_hex32(*dst); print_err("\r\n");
+	    //print_err(" dst is now "); print_err_hex32(*dst); print_err("\n");
 	    dst++, src++;
 	    outb((unsigned char)i, 0x80);
 	  }
 	}
 	dumpmem();
 	outb(0, 0x80);
-	print_err("loop forever\r\n");
+	print_err("loop forever\n");
 	outb(0xdd, 0x80);
         __asm__ volatile(
 			 "movl %0, %%edi\n\t"
@@ -276,7 +276,7 @@
 			 : "a" (0x4000)
 			 ); 
 	
-	print_err("FUCK\r\n");
+	print_err("FUCK\n");
 	
 	while(1);
 #endif
Index: src/mainboard/olpc/btest/auto.c
===================================================================
--- src/mainboard/olpc/btest/auto.c	(revision 3942)
+++ src/mainboard/olpc/btest/auto.c	(working copy)
@@ -95,7 +95,7 @@
 
 	print_debug("computed msr.hi ");
 	print_debug_hex32(msr.hi);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	/* this is a standard value, DOES NOT PROBABLY MATCH FROM ABOVE */
 	/* well, it may be close. It's about 200,000 ticks */
Index: src/mainboard/olpc/rev_a/auto.c
===================================================================
--- src/mainboard/olpc/rev_a/auto.c	(revision 3942)
+++ src/mainboard/olpc/rev_a/auto.c	(working copy)
@@ -95,7 +95,7 @@
 
 	print_debug("computed msr.hi ");
 	print_debug_hex32(msr.hi);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	/* this is a standard value, DOES NOT PROBABLY MATCH FROM ABOVE */
 	/* well, it may be close. It's about 200,000 ticks */
Index: src/mainboard/technologic/ts5300/auto.c
===================================================================
--- src/mainboard/technologic/ts5300/auto.c	(revision 3942)
+++ src/mainboard/technologic/ts5300/auto.c	(working copy)
@@ -57,18 +57,18 @@
 	
 	TS9500_LED_ON;
 
-	print_err("TS-9500 add-on found:\r\n");
+	print_err("TS-9500 add-on found:\n");
 	val=inb(0x19b);
 	for (i=0; i<8; i++) {
 		print_err("  DIP");
 		print_err_char(i+0x31);
 		print_err(": ");
 		if((val&(1<<i))!=0) 
-			print_err("on\r\n"); 
+			print_err("on\n"); 
 		else
-			print_err("off\r\n"); 
+			print_err("off\n"); 
 	}
-	print_err("\r\n");
+	print_err("\n");
 	
 	val=inb(0x19a);
 	
@@ -77,11 +77,11 @@
 		print_err_char(i+0x30-5);
 		print_err(": ");
 		if((val&(1<<i))!=0) 
-			print_err("on\r\n"); 
+			print_err("on\n"); 
 		else
-			print_err("off\r\n"); 
+			print_err("off\n"); 
 	}
-	print_err("\r\n");
+	print_err("\n");
 
 	TS9500_LED_OFF;
 }
@@ -93,29 +93,29 @@
 	print_err("Mainboard: ");
 	val=inb(0x74);
 	switch(val) {
-	case 0x50: print_err("TS-5300\r\n"); break;
-	case 0x40: print_err("TS-5400\r\n"); break;
-	case 0x60: print_err("TS-5500\r\n"); break;
-	case 0x20: print_err("TS-5600\r\n"); break;
-	case 0x70: print_err("TS-5700\r\n"); break;
-	default:   print_err("unknown\r\n"); break;
+	case 0x50: print_err("TS-5300\n"); break;
+	case 0x40: print_err("TS-5400\n"); break;
+	case 0x60: print_err("TS-5500\n"); break;
+	case 0x20: print_err("TS-5600\n"); break;
+	case 0x70: print_err("TS-5700\n"); break;
+	default:   print_err("unknown\n"); break;
 	}
 
 	val=inb(0x75);
 	print_err("  SRAM option:   ");
 	if((val&1)==0) print_err("not ");
-	print_err("installed\r\n");
+	print_err("installed\n");
 	
 	print_err("  RS-485 option: ");
 	if((val&2)==0) print_err("not ");
-	print_err("installed\r\n");
+	print_err("installed\n");
 
 	val=inb(0x76);
 	print_err("  Temp. range:   ");
-	if((val&2)==0) print_err("commercial\r\n"); 
-	else print_err("industrial\r\n");
+	if((val&2)==0) print_err("commercial\n"); 
+	else print_err("industrial\n");
 	
-	print_err("\r\n");
+	print_err("\n");
 	
 	val=inb(0x77);
 	for (i=1; i<8; i++) {
@@ -123,11 +123,11 @@
 		print_err_char(i+0x30);
 		print_err(": ");
 		if((val&(1<<i))!=0) 
-			print_err("on\r\n"); 
+			print_err("on\n"); 
 		else
-			print_err("off\r\n"); 
+			print_err("off\n"); 
 	}
-	print_err("\r\n");
+	print_err("\n");
 
 	/* Detect TS-9500 */
 	val=inb(0x19d);
@@ -158,9 +158,9 @@
         console_init();
 	
 	
-	print_err("Technologic Systems TS5300 - http://www.embeddedx86.com/\r\n");
+	print_err("Technologic Systems TS5300 - http://www.embeddedx86.com/\n");
 	staticmem();
-	print_err("Memory initialized: 32MB\r\n");
+	print_err("Memory initialized: 32MB\n");
 
 #if 1
 	identify_system();
@@ -168,7 +168,7 @@
 
 #if 0
 	// Check 32MB of memory @ 0 (very slow!)
-	print_err("Checking memory:\r\n");
+	print_err("Checking memory:\n");
 	ram_check(0x00000000, 0x000a0000);
 	ram_check(0x000b0000, 0x02000000);
 #endif
Index: src/mainboard/amd/pistachio/cache_as_ram_auto.c
===================================================================
--- src/mainboard/amd/pistachio/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/amd/pistachio/cache_as_ram_auto.c	(working copy)
@@ -230,7 +230,7 @@
 	post_code(0x06);
 
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 
Index: src/mainboard/amd/dbm690t/cache_as_ram_auto.c
===================================================================
--- src/mainboard/amd/dbm690t/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/amd/dbm690t/cache_as_ram_auto.c	(working copy)
@@ -226,7 +226,7 @@
 
 
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 
Index: src/mainboard/amd/rumba/auto.c
===================================================================
--- src/mainboard/amd/rumba/auto.c	(revision 3942)
+++ src/mainboard/amd/rumba/auto.c	(working copy)
@@ -52,7 +52,7 @@
 	/* get module banks (sides) per dimm, SPD byte 5 */
 	module_banks = spd_read_byte(0xA0, 5);
 	if (module_banks < 1 || module_banks > 2)
-		print_err("Module banks per dimm\r\n");
+		print_err("Module banks per dimm\n");
 	module_banks >>= 1;
 	msr.hi &= ~(1 << CF07_UPPER_D0_MB_SHIFT);
 	msr.hi |= (module_banks << CF07_UPPER_D0_MB_SHIFT);
@@ -60,7 +60,7 @@
 	/* get component banks per module bank, SPD byte 17 */
 	val = spd_read_byte(0xA0, 17);
 	if (val < 2 || val > 4)
-		print_err("Component banks per module bank\r\n");
+		print_err("Component banks per module bank\n");
 	val >>= 2;
 	msr.hi &= ~(0x1 << CF07_UPPER_D0_CB_SHIFT);
 	msr.hi |=  (val << CF07_UPPER_D0_CB_SHIFT);
@@ -80,7 +80,7 @@
 
 	print_debug("computed msr.hi ");
 	print_debug_hex32(msr.hi);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	msr.lo = 0x00003000;
 	wrmsr(MC_CF07_DATA, msr);
